com.samsung.multiscreen

## Class PhotoPlayer

- java.lang.Object
- - com.samsung.multiscreen.Player
  - - com.samsung.multiscreen.PhotoPlayer

-     public class PhotoPlayer
      extends Player

  The `PhotoPlayer` class allows control Photo Player on TV side. It extends Player class and defines photo player functionality.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PhotoPlayer.OnPhotoPlayerListener` Public Listener Interface for Photo Player Notice events

    - ### Nested classes/interfaces inherited from class com.samsung.multiscreen.Player

      `Player.RepeatMode`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOnMessageListener(PhotoPlayer.OnPhotoPlayerListener listener)` Add a listener for messages of photo player.
    `void` | `addToList(List<Map<String,String>> photoList)` public API to add content to list.
    `void` | `addToList(Uri uri)` public API to add content to list.
    `void` | `addToList(Uri uri, String title)` public API to add content to list.
    `void` | `clearList()` public API to delete whole list.
    `void` | `getList()` public API to fetch the list.
    `void` | `playContent(Uri contentUrl, Result<Boolean> result)` public API to play photo content
    `void` | `playContent(Uri contentUrl, String title, Result<Boolean> result)` public API to play photo content
    `void` | `removeFromList(Uri uri)` public API to delete content from list.
    `void` | `setBackgroundMusic(Uri uri)` sets background audio in slide show.
    `void` | `stopBackgroundMusic()` stops background audio in slide show.

    - ### Methods inherited from class com.samsung.multiscreen.Player

      `disconnect, disconnect, disconnect, getControlStatus, isConnected, isDebug, mute, next, pause, play, previous, removePlayerWatermark, resumeApplicationInForeground, setDebug, setOnClientConnectListener, setOnClientDisconnectListener, setOnConnectListener, setOnDisconnectListener, setOnErrorListener, setOnReadyListener, setPlayerWatermark, setVolume, standbyConnect, standbyConnect, standbyConnect, standbyConnect, stop, unMute, volumeDown, volumeUp`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### playContent

          public void playContent(Uri contentUrl,
                                  Result<Boolean> result)

      public API to play photo content
      Parameters:
        `contentUrl` - uri of the photo to be played
        `result` - callback

    - #### playContent

          public void playContent(Uri contentUrl,
                                  String title,
                                  Result<Boolean> result)

      public API to play photo content
      Parameters:
        `contentUrl` - uri of the photo to be played
        `title` - title of the photo
        `result` - callback

    - #### setBackgroundMusic

          public void setBackgroundMusic(Uri uri)

      sets background audio in slide show.
      Parameters:
        `uri` - Background audio url.

    - #### stopBackgroundMusic

          public void stopBackgroundMusic()

      stops background audio in slide show.

    - #### getList

          public void getList()

      public API to fetch the list.

    - #### clearList

          public void clearList()

      public API to delete whole list.

    - #### removeFromList

          public void removeFromList(Uri uri)

      public API to delete content from list.
      Parameters:
        `uri` - the uri of the content

    - #### addToList

          public void addToList(Uri uri)

      public API to add content to list.
      Parameters:
        `uri` - the uri of the content

    - #### addToList

          public void addToList(Uri uri,
                                String title)

      public API to add content to list.
      Parameters:
        `uri` - the uri of the content
        `title` - the title of the content

    - #### addToList

          public void addToList(List<Map<String,String>> photoList)

      public API to add content to list.
      Parameters:
        `photoList` - List of Maps of photo lists.

    - #### addOnMessageListener

          public void addOnMessageListener(PhotoPlayer.OnPhotoPlayerListener listener)

      Add a listener for messages of photo player.
      Parameters:
        `listener` - the message listener to invoke when a message is received with the specified event